# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "kitsune2_bootstrap_srv"
version = "0.4.0-dev.8"
authors = ["Holochain Core Dev Team <devcore@holochain.org>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "p2p / dht communication WAN discovery bootstrapping server"
homepage = "https://www.holochain.org/"
documentation = "https://docs.rs/kitsune2_bootstrap_srv"
readme = "README.md"
keywords = [
    "holochain",
    "kitsune",
    "p2p",
    "dht",
    "networking",
]
categories = ["network-programming"]
license = "Apache-2.0"
repository = "https://github.com/holochain/kitsune2"
resolver = "2"

[features]
default = []
http2 = ["axum/http2"]
iroh-relay = [
    "dep:iroh",
    "dep:iroh-base",
    "dep:iroh-relay",
    "dep:rustls-pemfile",
    "dep:rcgen",
]
sbd = [
    "dep:sbd-server",
    "dep:rcgen",
]

[lib]
name = "kitsune2_bootstrap_srv"
path = "src/lib.rs"

[[bin]]
name = "kitsune2-bootstrap-srv"
path = "src/bin/kitsune2-bootstrap-srv.rs"

[[example]]
name = "test-auth-hook-server"
path = "examples/test-auth-hook-server.rs"

[dependencies.async-channel]
version = "2.3.1"

[dependencies.axum]
version = "0.8"
features = [
    "http1",
    "json",
    "tokio",
    "ws",
]
default-features = false

[dependencies.axum-server]
version = "0.7.1"
features = ["tls-rustls-no-provider"]
default-features = false

[dependencies.base64]
version = "0.22.1"

[dependencies.bytes]
version = "1.8.0"
features = ["serde"]

[dependencies.clap]
version = "4.5.21"
features = [
    "derive",
    "wrap_help",
]

[dependencies.ctrlc]
version = "3.4.5"
features = ["termination"]

[dependencies.ed25519-dalek]
version = "2.1.1"

[dependencies.futures]
version = "0.3"

[dependencies.http]
version = "1.3"

[dependencies.iroh]
version = "0.97"
optional = true

[dependencies.iroh-base]
version = "0.97"
optional = true

[dependencies.iroh-relay]
version = "0.97"
features = ["server"]
optional = true

[dependencies.num_cpus]
version = "1.16.0"

[dependencies.opentelemetry]
version = "0.30"

[dependencies.rand]
version = "0.8.5"

[dependencies.rcgen]
version = "0.13"
optional = true

[dependencies.rustls]
version = "0.23"
features = ["ring"]
default-features = false

[dependencies.rustls-pemfile]
version = "2.2"
optional = true

[dependencies.sbd-server]
version = "0.4.0"
features = ["tungstenite"]
optional = true

[dependencies.serde]
version = "1.0"
features = ["derive"]

[dependencies.serde_json]
version = "1.0"

[dependencies.tempfile]
version = "3.14.0"

[dependencies.tokio]
version = "1.41.1"
features = [
    "time",
    "rt",
    "rt-multi-thread",
    "io-util",
]

[dependencies.tower-http]
version = "0.6"
features = ["cors"]

[dependencies.tracing]
version = "0.1"

[dependencies.tracing-subscriber]
version = "0.3"
features = [
    "env-filter",
    "json",
]

[dependencies.ureq]
version = "3.0"
